let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const clearPanel = async (
  zoneId: string,
  organization: string,
  panelName: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v2/clearpanel`, {
      method: "PATCH",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({ organization, zoneId, panelName }),
    });

    if (!response.ok) {
      throw new Error("Failed to clearPanel in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to clean pannel");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
