interface Asset {
    modelUuid: string;
    modelName: string;
    assetId: string;
    position: [number, number, number];
    rotation: [number, number, number];
    isLocked: boolean;
    isCollidable: boolean;
    isVisible: boolean;
    opacity: number;
    animations?: string[];
    animationState?: {
        current: string;
        playing: boolean;
    };
    eventData?: {
        type: string;
        point?: {
            uuid: string;
            position: [number, number, number];
            rotation: [number, number, number];
        }
        points?: {
            uuid: string;
            position: [number, number, number];
            rotation: [number, number, number];
        }[];
    }
};

type Assets = Asset[];